import { jsx as _jsx } from "react/jsx-runtime";
import { jsxs as _jsxs } from "react/jsx-runtime";
import cx from 'classnames';
var CELL_TYPE = {
  header: 'th',
  data: 'td'
};

var TableBasic = function TableBasic(_ref) {
  var head = _ref.head,
      body = _ref.body,
      foot = _ref.foot,
      fullWidth = _ref.fullWidth;
  var hasHead = Boolean(head == null ? void 0 : head.length);
  var hasFoot = Boolean(foot == null ? void 0 : foot.length);
  var baseClass = 'sui-TableBasic';
  var tableClass = cx("" + baseClass, {
    'sui-TableBasic--fullWidth': fullWidth
  });
  return /*#__PURE__*/_jsxs("table", {
    className: tableClass,
    children: [hasHead && /*#__PURE__*/_jsx("thead", {
      children: /*#__PURE__*/_jsx("tr", {
        children: head.map(function (element, index) {
          return /*#__PURE__*/_jsx("th", {
            className: baseClass + "-cell " + baseClass + "-headerCell",
            children: element
          }, index);
        })
      })
    }), /*#__PURE__*/_jsx("tbody", {
      children: body.map(function (row, index) {
        return /*#__PURE__*/_jsx("tr", {
          children: row.map(function (cell, index) {
            var _cell$type = cell.type,
                Element = _cell$type === void 0 ? CELL_TYPE.data : _cell$type;
            var cellClassName = cx(baseClass + "-cell", {
              'sui-TableBasic-cell--noWrap': cell.isNowrap
            });
            return /*#__PURE__*/_jsx(Element, {
              className: cellClassName,
              children: cell.content
            }, index);
          })
        }, index);
      })
    }), hasFoot && /*#__PURE__*/_jsx("tfoot", {
      children: /*#__PURE__*/_jsx("tr", {
        children: foot.map(function (element, index) {
          return /*#__PURE__*/_jsx("td", {
            className: baseClass + "-cell",
            children: element
          }, index);
        })
      })
    })]
  });
};

TableBasic.displayName = 'TableBasic';
export { CELL_TYPE as tableBasicTypes };
export default TableBasic;